org.apache.storm.elasticsearch.bolt

## Class EsIndexTopology.UserDataSpout

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseRichSpout
    - - org.apache.storm.elasticsearch.bolt.EsIndexTopology.UserDataSpout

- All Implemented Interfaces:
    Serializable, ISpout, IComponent, IRichSpout
  Enclosing class:
    EsIndexTopology

      public static class EsIndexTopology.UserDataSpout
      extends BaseRichSpout

  The user data spout.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserDataSpout()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ack(Object msgId)` Acknowledges the message with id `msgId`.
    `void` | `declareOutputFields(OutputFieldsDeclarer declarer)` Declares `source`, `index`, `type` and `id`.
    `void` | `fail(Object msgId)` Marks the message with id `msgId` as failed.
    `void` | `nextTuple()` Makes the spout emit the next tuple, if any.
    `void` | `open(Map<String,Object> config, TopologyContext context, SpoutOutputCollector collectorArg)` Acquires `collector` and initializes `pending`.

    - ### Methods inherited from class org.apache.storm.topology.base.BaseRichSpout

      `activate, close, deactivate`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `getComponentConfiguration`

- - ### Constructor Detail

    - #### UserDataSpout

          public UserDataSpout()

  - ### Method Detail

    - #### declareOutputFields

          public void declareOutputFields(OutputFieldsDeclarer declarer)

      Declares `source`, `index`, `type` and `id`.

      Parameters:
        `declarer` - the declarer to pass to

    - #### open

          public void open(Map<String,Object> config,
                           TopologyContext context,
                           SpoutOutputCollector collectorArg)

      Acquires `collector` and initializes `pending`.

      Parameters:
        `config` - unused
        `context` - unused
        `collectorArg` - the collector to acquire

    - #### nextTuple

          public void nextTuple()

      Makes the spout emit the next tuple, if any.

    - #### ack

          public void ack(Object msgId)

      Acknowledges the message with id `msgId`.

      Specified by:
        `ack` in interface `ISpout`
      Overrides:
        `ack` in class `BaseRichSpout`
      Parameters:
        `msgId` - the message id

    - #### fail

          public void fail(Object msgId)

      Marks the message with id `msgId` as failed.

      Specified by:
        `fail` in interface `ISpout`
      Overrides:
        `fail` in class `BaseRichSpout`
      Parameters:
        `msgId` - the message id

Copyright © 2021 The Apache Software Foundation. All rights reserved.